export const RuleMixin = {
    methods: {
        /**
         * Checks whether value is integer
         *
         * @param { Any } value - compared value
         * @returns { Array<Boolean> } - rule passed
         * @returns { Array<String> } - particular error
         */
        number_rule(value) {
            return [/^[0-9]+$/.test(value) || this.$t('ferda_pubreq_rule:integer_expected')]
        },
    },
}
