#!/usr/bin/python3
"""Setup script for ferda-public-request."""
from distutils.command.build import build

from setuptools import setup
from setuptools_npm import npm_not_skipped


class custom_build(build):
    sub_commands = [
        ("compile_catalog", None),
        ("npm_install", npm_not_skipped),
        ("npm_run", npm_not_skipped),
    ] + build.sub_commands


setup(
    cmdclass={"build": custom_build},
)
